
package de.ivu.elect.presentation.ergebnis.menu;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Specializes
public class WasErgebnisMainMenuEntry extends ErgebnisseMainMenuEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WasErgebnisMenuBuilder wasErgebnisMenuBuilder;

  @Override
  protected List<MenuEntry> getSubMenuEntriesSorted() {
    return wasErgebnisMenuBuilder.getMenuEntries();
  }

  @Override
  public String getLabelKey() {
    return "ergebnis.main.menu.item.label.was";
  }

}
